﻿@model ShoppingCartViewModel
<h2>Tu Shopping Cart</h2>
<h4>Aqui están los deliciosos pasteles en tu Shopping Cart.</h4>
<table class="table table-bordered table-striped">
    <thead>
        <tr>
            <th>Seleccionar cantidad</th>
            <th>Pie</th>
            <th class="text-right">Precio</th>
            <th class="text-right">Subtotal</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var line in Model.ShoppingCart.ShoppingCartItems)
        {
            <tr>
                <td class="text-center">@line.Amount</td>
                <td class="text-left">@line.Pie.Name</td>
                <td class="text-right">@line.Pie.Price.ToString("c")</td>
                <td class="text-right">
                    @((line.Amount * line.Pie.Price).ToString("c"))
                </td>
            </tr>
        }
    </tbody>
    <tfoot>
        <tr>
            <td colspan="3" class="text-right">Total:</td>
            <td class="text-right">
                @Model.ShoppingCartTotal.ToString("c")
            </td>
        </tr>
    </tfoot>
</table>

<div class="text-center">
    <a class="btn btn-primary" asp-controller="Order" asp-action="Checkout">Verificar ahora!</a>
</div>

